<template>
  <Modal
    :closed="onClosed"
  >
    <!-- About icon -->
    <p class="mb-10 text-center">
      <v-icon
        name="question"
        scale="4"
        class="inline fill-current"
      />
    </p>

    <!-- Modal content -->
    <div class="mb-4 text-center">
      <p class="mb-2">
        <!-- eslint-disable-line -->
        scorpion-ui
        <span
          class="font-bold"
          :style="{
            color: '#F65D6C'
          }"
        >
          <!-- eslint-disable-line -->
          v{{ versions['scorpion-ui'] }}
        </span>
        (<a href="https://gitlab.com/hperchec/boilerplates/scorpion/lib/scorpion-ui/-/blob/main/CHANGELOG.md" target="_blank">changelog</a>)<!-- eslint-disable-line -->
      </p>

      <p>
        <!-- eslint-disable-line -->
        scorpion-ui-template-default
        <span
          class="font-bold"
          :style="{
            color: '#F65D6C'
          }"
        >
          <!-- eslint-disable-line -->
          v{{ versions['scorpion-ui-template-default'] }}
        </span>
        (<a href="https://gitlab.com/hperchec/boilerplates/scorpion/lib/scorpion-ui/-/blob/main/CHANGELOG.md" target="_blank">changelog</a>)<!-- eslint-disable-line -->
      </p>
    </div>

    <!-- Footer -->
    <template #footer>
      <div class="flex justify-center">
        <VButton
          variant="primary"
          @click.native="handleCancel"
        >
          {{ $t('global.close') | capitalize }}
        </VButton>
      </div>
    </template>
  </Modal>
</template>

<script>
import { Core } from '@hperchec/scorpion-ui'
import BaseModal from '../BaseModal'

/**
 * **AboutModal** component
 */
export default {
  name: 'AboutModal',
  extends: BaseModal,
  data () {
    return {
      versions: {
        'scorpion-ui': Core.version,
        'scorpion-ui-template-default': __VERSION__
      }
    }
  },
  methods: {
    /**
     * Called when popup close
     * @return {void}
     */
    onClosed: function () {
      this.onCancel()
    },
    /**
     * Called when click on cancel button
     * @param {object} evt - The event
     * @return {void}
     */
    handleCancel: function (evt) {
      evt.preventDefault()
      evt.stopPropagation()
      this.hide()
      this.onCancel()
    }
  }
}
</script>
